Summary:	Litecoin is a peer-to-peer currency
Summary(pl.UTF-8):	Litecoin - waluta peer-to-peer
Name:		litecoin
Version:	0.18.1
Release:	4
License:	MIT
Group:		X11/Applications
#Sourrce0Download: https://github.com/litecoin-project/litecoin/releases
Source0:	https://download.litecoin.org/litecoin-%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	67af5786635639536e78993b1fc082d0
Patch0:		qt-5.15.patch
Patch1:		%{name}-univalue.patch
URL:		http://www.litecoin.org/
BuildRequires:	Qt5Core-devel >= 5.4
BuildRequires:	Qt5DBus-devel >= 5.4
BuildRequires:	Qt5Gui-devel >= 5.4
BuildRequires:	Qt5Network-devel >= 5.4
BuildRequires:	Qt5Widgets-devel >= 5.4
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.49
BuildRequires:	db-cxx-devel >= 4.8
BuildRequires:	gettext-tools
BuildRequires:	libevent-devel >= 2
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2
BuildRequires:	libunivalue-devel >= 1.0.4
BuildRequires:	miniupnpc-devel >= 1.5
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3.4
BuildRequires:	protobuf-devel
BuildRequires:	qrencode-devel
BuildRequires:	qt5-linguist >= 5.4
BuildRequires:	qt5-qmake >= 5.4
BuildRequires:	zeromq-devel >= 4
Requires:	libunivalue >= 1.0.4
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Litecoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions. These tasks
are managed collectively by the network.

%description -l pl.UTF-8
Litecoin to waluta peer-to-peer. Oznacza to, że nie ma centralnej
instytucji emitującej nowe pieniądze czy śledzącej transakcje. Zadania
te są zarządzane kolektywnie przez sieć.

%package qt
Summary:	Qt-based Litecoin Wallet
Summary(pl.UTF-8):	Portfel na litecoiny oparty na Qt
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description qt
Qt-based Litecoin Wallet.

%description qt -l pl.UTF-8
Portfel na litecoiny oparty na Qt.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I build-aux/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd src/secp256k1
%{__libtoolize}
%{__aclocal} -I build-aux/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../..
%configure \
	--disable-bench \
	--disable-gui-tests \
	--disable-shared \
	--disable-silent-rules \
	--disable-tests \
	--with-boost \
	--with-incompatible-bdb \
	--with-miniupnpc \
	--with-qrencode \
	--with-qtdbus \
	--with-system-univalue
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},%{_datadir}/kde4/services}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# shared disabled, development packages present in bitcoin.spec and feathercoin.spec
%{__rm} -r $RPM_BUILD_ROOT{%{_libdir}/libbitcoinconsensus.*,%{_includedir}/bitcoinconsensus.h,%{_pkgconfigdir}/libbitcoinconsensus.pc}

# see contrib/rpm/bitcoin.spec

cat <<EOF >$RPM_BUILD_ROOT%{_desktopdir}/litecoin-qt.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Litecoin
Comment=Litecoin P2P Cryptocurrency
Comment[fr]=Litecoin, monnaie virtuelle cryptographique pair à pair
Comment[pl]=Litecoin - kryptowaluta P2P
Comment[tr]=Litecoin, eşten eşe kriptografik sanal para birimi
Exec=litecoin-qt %u
Terminal=false
Type=Application
Icon=bitcoin
MimeType=x-scheme-handler/litecoin;
Categories=Office;Finance;
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_datadir}/kde4/services/litecoin-qt.protocol
[Protocol]
exec=litecoin-qt '%u'
protocol=litecoin
input=none
output=none
helper=true
listing=
reading=false
writing=false
makedir=false
deleting=false
EOF

cp -p share/pixmaps/bitcoin.ico $RPM_BUILD_ROOT%{_pixmapsdir}
cp -p share/pixmaps/nsis-*.bmp $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING doc/{README,REST-interface,assets-attribution,benchmarking,bips,dependencies,dnsseed-policy,reduce-traffic,release-notes*,shared-libraries,tor,zmq}.md doc/release-notes
%attr(755,root,root) %{_bindir}/litecoind
%attr(755,root,root) %{_bindir}/litecoin-cli
%attr(755,root,root) %{_bindir}/litecoin-wallet
%attr(755,root,root) %{_bindir}/litecoin-tx
%{_mandir}/man1/litecoin-cli.1*
%{_mandir}/man1/litecoin-wallet.1*
%{_mandir}/man1/litecoin-tx.1*
%{_mandir}/man1/litecoind.1*

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/litecoin-qt
%{_datadir}/kde4/services/litecoin-qt.protocol
%{_desktopdir}/litecoin-qt.desktop
%{_pixmapsdir}/bitcoin.ico
%{_pixmapsdir}/nsis-*.bmp
%{_mandir}/man1/litecoin-qt.1*
%changelog
* Tue Aug 10 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/litecoin.git;a=log;h=master

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> 9256e9f
- boost rebuild

* Thu Jan 21 2021 Jan Rękorajski <baggins@pld-linux.org> 21ac2cb
- release 3 (by relup.sh)

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> b5b7348
- added univalue patch (fixes build with system libunivalue)
- release 2 (protobuf 3.13)

* Sat Aug 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 3060380
- updated to 0.18.1

* Tue Jun 02 2020 Jan Rękorajski <baggins@pld-linux.org> a01bc00
- rel 5, fix building qith qt 5.15

* Wed Apr 08 2020 Jan Rękorajski <baggins@pld-linux.org> 6439f87
- release 4 (by relup.sh)

* Sat Feb 08 2020 Jan Rękorajski <baggins@pld-linux.org> 82c7a4f
- rebuild with libevent 2.1.11
- release 3 (by relup.sh)

* Wed Oct 09 2019 Jan Rękorajski <baggins@pld-linux.org> 4f46318
- rebuild with boost 1.71
- release 2 (by relup.sh)

* Thu Aug 01 2019 Jakub Bogusz <qboosh@pld-linux.org> 2f0e7ae
- updated to 0.17.1; Qt5 now

* Mon Apr 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 8e1b871
- more s/bitcoin/litecoin/ in .desktop

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 3ec6a0c
- updated to 0.16.3

* Sat Mar 16 2019 Jan Rękorajski <baggins@pld-linux.org> b3b1b23
- release 8 (by relup.sh)

* Mon Oct 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 2d02f65
- autogen in subdir

* Mon Oct 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 02fa6ee
- pl, cleanups, release 7 (rebuild with protobuf 3.6)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 09130af
- release 6 (by relup.sh)

* Wed Dec 13 2017 Jan Rękorajski <baggins@pld-linux.org> 453d585
- release 5 (by relup.sh)

* Tue Nov 28 2017 Jan Rękorajski <baggins@pld-linux.org> 4b64de9
- release 4 (by relup.sh)

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> 6300034
- rebuild with protobuf 3.2
- release 3 (by relup.sh)

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> 0f5b536
- rebuild with miniupnpc 2.0
- release 2 (by relup.sh)

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> 0633492
- up to 0.13.2

